describe("positive tests ContactForm", () => {
  beforeEach(() => {
    cy.visit("http://localhost:3000");
    cy.contains("Связаться с нами").click();
    cy.get("[aria-labelledby='modal-modal-title'] h4").should("have.text", "Оставьте ваши контактные данные");
    // eslint-disable-next-line cypress/no-unnecessary-waiting
    cy.wait(30000);
  });

  it("form validation with all fields filled in", () => {
    cy.get("input[name='name']").type("Irina Alegovna");
    cy.get("input[name='phoneNumber']").type("+1278967890");
    cy.get("input[name='telegram']").type("@irina");
    cy.get("input[name='whatsapp']").type("+7876547810");

    cy.get("button[type='submit']").click();
    cy.get("[aria-labelledby='modal-modal-title']").should("exist");
    // eslint-disable-next-line cypress/no-unnecessary-waiting
    cy.wait(3000);
    cy.contains("Данные отправлены");
  });

  it("Form validation with two fields filled in", () => {
    cy.get("input[name='name']").type("Irina Alegovna");
    cy.get("input[name='phoneNumber']").type("+1278967890");

    cy.get("button[type='submit']").click();
    cy.get("[aria-labelledby='modal-modal-title']").should("exist");
    // eslint-disable-next-line cypress/no-unnecessary-waiting
    cy.wait(3000);
    cy.contains("Данные отправлены");
  });

  it("Form validation with three fields filled in", () => {
    cy.get("input[name='name']").type("Irina Alegovna");
    cy.get("input[name='phoneNumber']").type("+1278967890");
    cy.get("input[name='telegram']").type("@irina");

    cy.get("button[type='submit']").click();
    cy.get("[aria-labelledby='modal-modal-title']").should("exist");

    // eslint-disable-next-line cypress/no-unnecessary-waiting
    cy.wait(3000);
    cy.contains("Данные отправлены");
  });
});

describe("negative tests ContactForm", () => {
  beforeEach(() => {
    cy.visit("http://localhost:3000");
    cy.contains("Связаться с нами").click();
    cy.get("[aria-labelledby='modal-modal-title'] h4").should("have.text", "Оставьте ваши контактные данные");
  });

  it("should show validation errors for invalid input name", () => {
    cy.get("input[name='phoneNumber']").type("12345");

    cy.get("button[type='submit']").click();
    cy.contains("Имя не указано");

    cy.get("[aria-labelledby='modal-modal-title']").should("exist");
  });

  it("should show validation errors for empty contacts", () => {
    cy.get("button[type='submit']").click();
    cy.contains("Имя не указано");

    cy.get("input[name='name']").type("John Doe");
    cy.get("button[type='submit']").click();
    cy.contains("Ни один из контактов не указан");

    cy.get("[aria-labelledby='modal-modal-title']").should("exist");
  });

  it("Проверка, что пользователь не может отправить запрос несколько раз без перерыва", () => {
    // eslint-disable-next-line cypress/no-unnecessary-waiting
    cy.wait(30000);
    cy.get("input[name='name']").type("Artem khaletskiy");
    cy.get("input[name='phoneNumber']").type("+127896754");
    cy.get("input[name='telegram']").type("@artem");
    cy.get("input[name='whatsapp']").type("+375295850658");

    cy.get("button[type='submit']").click();

    cy.get("[aria-labelledby='modal-modal-title']").should("exist");

    // eslint-disable-next-line cypress/no-unnecessary-waiting
    cy.wait(3000);
    cy.contains("Данные отправлены");

    cy.contains("Связаться с нами").click();
    cy.get("[aria-labelledby='modal-modal-title'] h4").should("have.text", "Оставьте ваши контактные данные");

    cy.get("input[name='name']").type("Artem khaletskiy");
    cy.get("input[name='phoneNumber']").type("+375295850658");
    cy.get("input[name='telegram']").type("@artem");
    cy.get("input[name='whatsapp']").type("+375295850658");

    cy.get("button[type='submit']").click();
    // eslint-disable-next-line cypress/no-unnecessary-waiting
    cy.wait(3000);
    cy.contains("Что-то пошло не так. Повторите попытку позже");
  });
});
