import { CSSProperties } from "react";

interface Props {
  style?: CSSProperties;
}

export default function BubblesFront({ style }: Props) {
  return (
    <svg
      width="511"
      height="249"
      viewBox="0 0 511 249"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      style={{ ...style }}
    >
      <circle
        cx="78.9962"
        cy="170.214"
        r="62.916"
        transform="rotate(-72.8761 78.9962 170.214)"
        fill="url(#paint0_linear_202_2476)"
        fillOpacity="0.6"
      />
      <g filter="url(#filter0_d_202_2476)">
        <circle
          cx="408.242"
          cy="102.242"
          r="81.7865"
          transform="rotate(-72.8761 408.242 102.242)"
          fill="url(#paint1_linear_202_2476)"
        />
      </g>
      <defs>
        <filter
          id="filter0_d_202_2476"
          x="307.434"
          y="16.4338"
          width="189.617"
          height="189.617"
          filterUnits="userSpaceOnUse"
          colorInterpolationFilters="sRGB"
        >
          <feFlood floodOpacity="0" result="BackgroundImageFix" />
          <feColorMatrix
            in="SourceAlpha"
            type="matrix"
            values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"
            result="hardAlpha"
          />
          <feOffset dx="-6" dy="9" />
          <feGaussianBlur stdDeviation="6.5" />
          <feComposite in2="hardAlpha" operator="out" />
          <feColorMatrix type="matrix" values="0 0 0 0 0.570394 0 0 0 0 0.317274 0 0 0 0 0.895833 0 0 0 0.35 0" />
          <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow_202_2476" />
          <feBlend mode="normal" in="SourceGraphic" in2="effect1_dropShadow_202_2476" result="shape" />
        </filter>
        <linearGradient
          id="paint0_linear_202_2476"
          x1="78.9962"
          y1="107.298"
          x2="78.9962"
          y2="233.13"
          gradientUnits="userSpaceOnUse"
        >
          <stop stopColor="#C4A4ED" />
          <stop offset="1" stopColor="#7E2AEA" />
        </linearGradient>
        <linearGradient
          id="paint1_linear_202_2476"
          x1="493.174"
          y1="65.6769"
          x2="314.662"
          y2="144.926"
          gradientUnits="userSpaceOnUse"
        >
          <stop stopColor="#7E2AEA" stopOpacity="0.87" />
          <stop offset="1" stopColor="#C3A1ED" stopOpacity="0" />
        </linearGradient>
      </defs>
    </svg>
  );
}
