import { Typography, Button, Box } from "@mui/material";

import SectionStyled from "../../kit/section";
import {setIsContactFormOpen} from "../../stores/contactForm";

export default function Component() {
  return (
    <SectionStyled
      tag={"section"}
      bg="#F2F3F7"
      mwidth={"1160px"}
      sxsect={{
        minHeight: "620px",
        alignItems: "center",
      }}
      sxcont={{
        minHeight: "327px",
        display: "flex",
        flexDirection: "column",
        justifyContent: "space-between",
        alignItems: "flex-start",
      }}
    >
      <Box sx={{ maxWidth: "651px" }}>
        <Typography
          variant="h1"
          sx={{
            span: { color: "#7E2AEA" },
          }}
        >
          Мы лучшие в Dev
          <span>Ops</span>& Cloud
          <span>Ops</span>
        </Typography>
        <Typography
          sx={{
            color: "#000000",
            fontWeight: 400,
            fontSize: "18px",
            lineHeight: "21px",
            paddingTop: "28px",
          }}
        >
          Поддерживаем инфраструктуру, создаем комфортную среду для разработки, внедряем лучшие DevOps &
          CloudOps-практики
        </Typography>
      </Box>
      <Button
        onClick={() => setIsContactFormOpen(true)}
        variant="template"
        sx={{
          marginBottom: "33px",
          padding: "9px 42px",
        }}
      >
        Заказать услугу
      </Button>
    </SectionStyled>
  );
}
